org.jfree.xml.parser.coretypes

## Class GenericReadHandler

- java.lang.Object
- - org.jfree.xml.parser.AbstractXmlReadHandler
  - - org.jfree.xml.parser.coretypes.GenericReadHandler

All Implemented Interfaces:
  XmlReadHandler

    public class GenericReadHandler
    extends AbstractXmlReadHandler

A SAX handler for reading a generic object from an XML element.

### Constructor Summary

Constructors
Constructor and Description
`GenericReadHandler(GenericObjectFactory factory)` Creates a new handler.

### Method Summary

Methods
`protected XmlReadHandler` `getHandlerForChild(java.lang.String tagName, org.xml.sax.Attributes atts)` Returns the child handler.
`java.lang.Object` `getObject()` Returns the object.
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Called at the start of parsing.

### Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler

`characters, doneParsing, endElement, getRootHandler, getTagName, init, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericReadHandler

    public GenericReadHandler(GenericObjectFactory factory)

Creates a new handler.

Parameters:
  `factory` - the generic object factory.

### Method Detail

#### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

Called at the start of parsing.

Overrides:
  `startParsing` in class `AbstractXmlReadHandler`
Parameters:
  `attrs` - the attributes.
Throws:
  `org.xml.sax.SAXException` - if there is a parsing error.

#### getHandlerForChild

    protected XmlReadHandler getHandlerForChild(java.lang.String tagName,
                                    org.xml.sax.Attributes atts)
                                         throws org.xml.sax.SAXException

Returns the child handler.

Overrides:
  `getHandlerForChild` in class `AbstractXmlReadHandler`
Parameters:
  `tagName` - the tag name.
  `atts` - the attributes.
Returns:
  The handler.
Throws:
  `org.xml.sax.SAXException` - if there is a parsing problem.

#### getObject

    public java.lang.Object getObject()
                               throws XmlReaderException

Returns the object.

Returns:
  The object.
Throws:
  `XmlReaderException` - ???